package request


type AlibabaWdkItemStoreskuUpdateRequest struct {
    /*
        盒马门店id     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        1-可售   0-不可售     */
    SaleFlag  *int64 `json:"sale_flag,omitempty" required:"false" `
}

func (s *AlibabaWdkItemStoreskuUpdateRequest) SetStoreId(v string) *AlibabaWdkItemStoreskuUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkItemStoreskuUpdateRequest) SetSkuCode(v string) *AlibabaWdkItemStoreskuUpdateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskuUpdateRequest) SetSaleFlag(v int64) *AlibabaWdkItemStoreskuUpdateRequest {
    s.SaleFlag = &v
    return s
}

func (req *AlibabaWdkItemStoreskuUpdateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.SaleFlag != nil) {
        paramMap["sale_flag"] = *req.SaleFlag
    }
    return paramMap
}

func (req *AlibabaWdkItemStoreskuUpdateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}